html,
body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

body {
  background-color: black;
  transform: scale(1);
  transform-origin: top center;
  min-height: 100vh;
}

.nav-link:hover {
  text-shadow: 0 0 15px rgba(255, 255, 255, 20);
  color: #fff;
}

.custom-active {
  background-color: #00ffff !important;
  color: black !important;
}

.btn-custom-outline {
  color: #00ffff;
  border-color: #00ffff;
}

.btn-custom-outline:hover,
.btn-custom-outline:focus {
  color: #000;
  background-color: #00ffff;
  border-color: #00ffff;
  box-shadow: none;
}

.about-page .card {
  transition: all 0.3s;
  height: 400px;
  width: 100%;
}

.about-page .card:hover {
  transform: scale(1.15);
}

.about-page .card img {
  width: 100%;
  height: 250px;
  object-fit: cover;
  object-position: top;
}

.about-page .card-body {
  height: 150px;
  overflow: hidden;
}

/* alan */
.card {
  background-color: #1e1e1e;
  color: #e0e0e0;
  border: solid 2px #00ffff;
  border-radius: 5px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.7);
}

.card-img-top {
  height: 150px; /* Fixed height */
  width: 100%; /* Full width of card */
  object-fit: cover; /* Prevents distortion and keeps image aspect ratio */
}

/* yiting */
.faq-item {
  margin-bottom: 20px;
  color: white;
  justify-content: center;
  text-align: center;
}

button.question {
  background-color: white;
  color: black;
  border: none;
  padding: 10px 10px;
  width: 50%;
  text-align: left;
  border-radius: 25px;
  text-align: center;
}

.answer {
  display: none;
}

h1 {
  color: white;
  text-align: center;
  margin-top: 20px;
}

#news-container {
  max-width: 1100px; /* controls overall width */
  margin-left: auto;
  margin-right: auto;
}

.news-item {
  min-height: 100px;
  padding-left: 8px;
  padding-right: 25px;
}

.news-image {
  width: 100%;
  height: 180px;
  object-fit: cover;
  display: block;
}

.news-title {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  min-height: 3em;
}

.news-description {
  display: -webkit-box;
  -webkit-line-clamp: 4; /* show only 3 lines */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  min-height: 4.5em;
}

table th {
  white-space: nowrap;
}

table th:last-child {
  max-width: 60px;
}

.btn-outline-primary {
  border-color: #00ffff;
  color: #00ffff;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.btn-outline-primary:hover {
  background-color: #00ffff;
  color: #000000;
  border-color: #00ffff;
}

.border-cyan {
  border-color: #00ffff !important;
}

footer a {
  text-decoration: underline;
}
